com.jscape.util.reflection

## Class ObjectProperty

- java.lang.Object
- - com.jscape.util.reflection.ObjectProperty

- All Implemented Interfaces:
    java.lang.Comparable

      public class ObjectProperty
      extends java.lang.Object
      implements java.lang.Comparable

  Author:
    Alex

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ObjectProperty.NameExtractor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectProperty(java.lang.String name, java.lang.Class propertyType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `applyGet(java.lang.Object obj)`
    `void` | `applySet(java.lang.Object obj, java.lang.Object value)`
    `int` | `compareTo(java.lang.Object o)`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getName()`
    `java.lang.Class` | `getPropertyType()`
    `static ObjectProperty[]` | `getReadableProperties(java.lang.Class targetClass, java.lang.Class propertyType)`
    `static ObjectProperty[]` | `getWritableProperties(java.lang.Class targetClass)`
    `static ObjectProperty[]` | `getWritableProperties(java.lang.Class targetClass, java.lang.Class propertyType)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectProperty

          public ObjectProperty(java.lang.String name,
                                java.lang.Class propertyType)

  - ### Method Detail

    - #### getReadableProperties

          public static ObjectProperty[] getReadableProperties(java.lang.Class targetClass,
                                                               java.lang.Class propertyType)

    - #### getWritableProperties

          public static ObjectProperty[] getWritableProperties(java.lang.Class targetClass,
                                                               java.lang.Class propertyType)

    - #### getWritableProperties

          public static ObjectProperty[] getWritableProperties(java.lang.Class targetClass)

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### getName

          public java.lang.String getName()

    - #### getPropertyType

          public java.lang.Class getPropertyType()

    - #### applySet

          public void applySet(java.lang.Object obj,
                               java.lang.Object value)
                        throws PropertyException

      Throws:
        `PropertyException`

    - #### applyGet

          public java.lang.Object applyGet(java.lang.Object obj)
                                    throws PropertyException

      Throws:
        `PropertyException`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(Object)`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

Copyright © Advanced Systems Concepts Inc. 1999-2021. All Rights Reserved